#
# spec file for package python-soupsieve
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%global flavor %{nil}
%if "%{flavor}" == "test"
%define psuffix -test
%bcond_without test
%else
%define psuffix %{nil}
%bcond_with test
%endif
Name:           python-soupsieve%{psuffix}
Version:        1.8
Release:        3.1
Summary:        A modern CSS selector implementation for BeautifulSoup
License:        MIT
Group:          Development/Libraries/Python
URL:            http://facelessuser.github.io/soupsieve/
Source:         https://files.pythonhosted.org/packages/source/s/soupsieve/soupsieve-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%if %{with test}
BuildRequires:  %{python_module beautifulsoup4}
BuildRequires:  %{python_module pytest}
BuildRequires:  python-backports.functools_lru_cache
%endif
%ifpython2
Requires:       python-backports.functools_lru_cache
%endif
%python_subpackages

%description

%prep
%setup -q -n soupsieve-%{version}

%build
%python_build

%install
%if !%{with test}
%python_install
%python_expand rm -rf %{buildroot}%{$python_sitelib}/tests
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%endif

%check
%if %{with test}
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} py.test-%{$python_bin_suffix} -v tests
%endif

%if !%{with test}
%files %{python_files}
%license LICENSE.md
%doc README.md
%{python_sitelib}/soupsieve*
%endif

%changelog
* Thu Mar  7 2019 tchvatal@suse.com
- Fix test macro expansion
* Fri Mar  1 2019 tchvatal@suse.com
- Fetch package from pypi
- Update to 1.8:
  * no obvious changelog
- Run tests
- Add missing dependencies
* Sun Feb  3 2019 adrian@suse.de
- initial package version 1.7.3
  (needed for beautifulsoup4 4.7)
